org.apache.pdfbox.preflight.process

## Class MetadataValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.MetadataValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class MetadataValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`MetadataValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<ValidationResult.ValidationError>` `checkStreamFilterUsage(org.apache.pdfbox.pdmodel.PDDocument doc)` Check if metadata dictionary has no stream filter
`void` `validate(PreflightContext ctx)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataValidationProcess

    public MetadataValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext ctx)
                  throws ValidationException

Throws:
  `ValidationException`

#### checkStreamFilterUsage

    protected List<ValidationResult.ValidationError> checkStreamFilterUsage(org.apache.pdfbox.pdmodel.PDDocument doc)

Check if metadata dictionary has no stream filter

Parameters:
  `doc` - the document to check.
Returns:
  the list of validation errors.